For the complete documentation index, see llms.txt.
Address Book
POST
/api/addressbook/updateUpdate Address
Edit the address information for a saved contact.
Address Book
Manage address book records used when creating and shipping orders.
4 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/addressbook/update
Details
Edit the address information for a saved contact.
Request Parameters
Edit Address Response
Address Detail Model
Request body
{
"id": 6926658,
"address": {
"code": "111",
"name": "Add Address Test",
"company": "My Company",
"post_code": "3000",
"street": "55 Bourke St",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"phone": "9879879876",
"instructions": "",
"building": "Big Tall Building",
"email": "test@starshipit.com",
"carrier": 0,
"signature_required": false
}
}Response examples
Update Address (200)
{
"address": {
"code": "111",
"name": "Add Address Test",
"company": "My Company",
"post_code": "3000",
"street": "55 Bourke St",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"phone": "9879879876",
"instructions": "",
"building": "Big Tall Building",
"email": "test@starshipit.com",
"carrier": 0,
"signature_required": false
},
"success": true,
"errors": []
}